[arch-commits] Commit in enlightenment/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Jun 5 00:25:07 EDT 2009


    Date: Friday, June 5, 2009 @ 00:25:07
  Author: eric
Revision: 41548

upgpkg: enlightenment 1.0.0-1
    Upstream update, Updated themes, Fixed license

Modified:
  enlightenment/trunk/ChangeLog
  enlightenment/trunk/PKGBUILD

-----------+
 ChangeLog |    7 +++++++
 PKGBUILD  |   29 ++++++++++++++---------------
 2 files changed, 21 insertions(+), 15 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-06-05 03:25:00 UTC (rev 41547)
+++ ChangeLog	2009-06-05 04:25:07 UTC (rev 41548)
@@ -1,3 +1,10 @@
+2009-06-04  Eric Belanger  <eric at archlinux.org>
+
+	* enlightenment 1.0.0-1
+	* Upstream update
+	* Updated themes
+	* Fixed license
+
 2009-01-03  Eric Belanger  <eric at archlinux.org>
 
 	* enlightenment 0.16.8.15-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-05 03:25:00 UTC (rev 41547)
+++ PKGBUILD	2009-06-05 04:25:07 UTC (rev 41548)
@@ -3,35 +3,34 @@
 # Contributor: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=enlightenment
-pkgver=0.16.8.15
-_themever=0.16.8.0.3
+pkgver=1.0.0
+_themever=1.0.0
 pkgrel=1
 pkgdesc="A fast, flexible, and very extensible Window Manager"
 arch=('i686' 'x86_64')
 url="http://www.enlightenment.org"
-license=('BSD')
+license=('BSD' 'custom')
 depends=('freetype2' 'libxinerama' 'libxft' 'libsm' 'libxxf86vm' 'esound' 'imlib2' 'perl' 'libxcomposite' 'libxdamage' 'libxrandr')
 makedepends=('xbitmaps')
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/e16-${pkgver}.tar.gz \
         http://downloads.sourceforge.net/enlightenment/e16-themes-${_themever}.tar.gz)
-md5sums=('65c753282965985a11447bf7a8bfabab' '26b82f5383e26cd3d4b883cb78cd6c21')
-sha1sums=('4bcd91edde5b9ab2486af0814de8d3592f669d70' 'ac94ad389760081570fe62717270794e060678a1')
+md5sums=('c825ed643c7c30e12e1646dcfa2638d9' '0697ae00a32938f45d786b40a0b276fb')
+sha1sums=('42870a3875f5d13f35ab47f3ee116da00862976c' '2fedae04c7563a6bc43497bec0f189e8d439c183')
 
 build() {
-  cd ${srcdir}/e16-${pkgver}
+  cd "${srcdir}/e16-${pkgver}"
   sed -i 's|xsessiondir = $(datadir)/xsessions|xsessiondir = /etc/X11/sessions|' misc/Makefile.in || return 1
   ./configure --prefix=/usr --enable-fsstd --enable-sound --sysconfdir=/etc || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m755 ${pkgdir}/usr/share/e16/misc/Xclients.e16-gnome.sh ${pkgdir}/usr/bin/e16-gnome || return 1
-  install -D -m755 ${pkgdir}/usr/share/e16/misc/Xclients.e16-kde.sh ${pkgdir}/usr/bin/e16-kde || return 1
-  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING || return 1
-  install -D -m644 man/e16.1 ${pkgdir}/usr/share/man/man1/e16.1 || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m755 "${pkgdir}/usr/share/e16/misc/Xclients.e16-gnome.sh" "${pkgdir}/usr/bin/e16-gnome" || return 1
+  install -D -m755 "${pkgdir}/usr/share/e16/misc/Xclients.e16-kde.sh" "${pkgdir}/usr/bin/e16-kde" || return 1
+  install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
+  install -D -m644 fonts/COPYRIGHT.Vera "${pkgdir}/usr/share/licenses/${pkgname}/COPYRIGHT.Vera" || return 1
 
-  cd ${srcdir}/e16-themes-${_themever}
+  cd "${srcdir}/e16-themes-${_themever}"
   ./configure --prefix=/usr --enable-fsstd || return 1
-  make DESTDIR=${pkgdir} install || return 1
- 
-  chown -R root:root ${pkgdir}/usr/share/* || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  chown -R root:root "${pkgdir}"/usr/share/* || return 1
 }



More information about the arch-commits mailing list